<template>
  <div class="basic-content">
    <Header />
    <NuxtPage />
    <Footer />
  </div>
</template>
<script setup lang="ts">
const route = useRoute();
// const globalProperties = getCurrentInstance().appContext.config.globalProperties;
const nuxtApp = useNuxtApp();

// console.log("nuxtApp1");
// if (nuxtApp.$myGlobal666) {
//   nuxtApp.$myGlobal666();
// }

watch(
  () => route.fullPath,
  (newValue: any) => {
    if (nuxtApp.$onAnimated) {
      console.log("tag", process.browser);
      nuxtApp.$onAnimated();
    }
  },
  { immediate: true }
);
</script>
